Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 593440 - SELinux is preventing /usr/bin/perl "read" access on /usr/share/fonts/dejavu/DejaVuSansMono.ttf.
Summary: SELinux is preventing /usr/bin/perl "read" access on /usr/share/fonts/de...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:9582641987d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 19:03 UTC by Brian Whitehead
Modified: 2010-08-19 11:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-19 11:30:09 UTC
Type: ---


Attachments (Terms of Use)

Description Brian Whitehead 2010-05-18 19:03:57 UTC
Summary:

SELinux is preventing /usr/bin/perl "read" access on
/usr/share/fonts/dejavu/DejaVuSansMono.ttf.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by munin-graph. It is not expected that this
access is required by munin-graph and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:munin_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /usr/share/fonts/dejavu/DejaVuSansMono.ttf [ file
                              ]
Source                        munin-graph
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.10.0-87.fc12
Target RPM Packages           dejavu-sans-mono-fonts-2.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-113.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38
                              UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Tue 18 May 2010 01:21:01 PM CDT
Last Seen                     Tue 18 May 2010 01:21:01 PM CDT
Local ID                      d9e0d551-a9ce-4779-807f-7367791a3c14
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274206861.652:155): avc:  denied  { read } for  pid=4290 comm="munin-graph" name="DejaVuSansMono.ttf" dev=dm-0 ino=19551 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1274206861.652:155): avc:  denied  { open } for  pid=4290 comm="munin-graph" name="DejaVuSansMono.ttf" dev=dm-0 ino=19551 scontext=system_u:system_r:munin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274206861.652:155): arch=c000003e syscall=2 success=yes exit=73014444160 a0=2d65090 a1=0 a2=0 a3=7ffffb93b2d0 items=0 ppid=4110 pid=4290 auid=485 uid=485 gid=468 euid=485 suid=485 fsuid=485 egid=468 sgid=468 fsgid=468 tty=(none) ses=6 comm="munin-graph" exe="/usr/bin/perl" subj=system_u:system_r:munin_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,munin-graph,munin_t,user_home_t,file,read
audit2allow suggests:
audit2allow is not installed.

Comment 1 Daniel Walsh 2010-08-19 11:30:09 UTC
Run restorecon -R -v /usr/share should fix.


Note You need to log in before you can comment on or make changes to this bug.